Imports System
Imports System.Drawing
Imports System.Windows.Forms
Namespace Server

	Public Class ServerMainForm
	Inherits Form
		Private Message As ListBox
		Private SendMessage As TextBox
		Private RunServer As Button
		Private button1 As Button
		Private server As ServerClass
		Private serverIsRunning As Boolean = False

		Public Sub New()
			InitializeComponent
			Me.server = New ServerClass(Me.Message)
		End Sub

		<STAThread()> _
		Public Shared Sub Main(ByVal args As String())
			Application.Run(New ServerMainForm)
		End Sub

		Private Sub InitializeComponent()
			Me.button1 = New System.Windows.Forms.Button
			Me.RunServer = New System.Windows.Forms.Button
			Me.SendMessage = New System.Windows.Forms.TextBox
			Me.Message = New System.Windows.Forms.ListBox
			Me.SuspendLayout
			Me.button1.FlatStyle = System.Windows.Forms.FlatStyle.System
			Me.button1.Location = New System.Drawing.Point(672, 112)
			Me.button1.Name = "button1"
			Me.button1.Size = New System.Drawing.Size(76, 23)
			Me.button1.TabIndex = 4
			Me.button1.Text = "Envoyer"
			AddHandler Me.button1.Click, AddressOf Me.Button1Click
			Me.RunServer.FlatStyle = System.Windows.Forms.FlatStyle.System
			Me.RunServer.Location = New System.Drawing.Point(672, 8)
			Me.RunServer.Name = "RunServer"
			Me.RunServer.Size = New System.Drawing.Size(76, 48)
			Me.RunServer.TabIndex = 1
			Me.RunServer.Text = "Lancer le serveur"
			AddHandler Me.RunServer.Click, AddressOf Me.RunServerClick
			Me.SendMessage.Location = New System.Drawing.Point(648, 80)
			Me.SendMessage.Name = "SendMessage"
			Me.SendMessage.Size = New System.Drawing.Size(128, 20)
			Me.SendMessage.TabIndex = 3
			Me.SendMessage.Text = "Message ici"
			Me.Message.Location = New System.Drawing.Point(8, 8)
			Me.Message.Name = "Message"
			Me.Message.Size = New System.Drawing.Size(626, 238)
			Me.Message.TabIndex = 0
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(812, 266)
			Me.Controls.Add(Me.button1)
			Me.Controls.Add(Me.SendMessage)
			Me.Controls.Add(Me.RunServer)
			Me.Controls.Add(Me.Message)
			Me.Name = "ServerMainForm"
			Me.Text = "Serveur"
			AddHandler Me.Closed, AddressOf Me.ServerMainForm_Closed
			Me.ResumeLayout(False)
		End Sub

		Sub RunServerClick(ByVal sender As Object, ByVal e As EventArgs)
			If Not serverIsRunning Then
				Me.server.RunServer
				Me.serverIsRunning = True
				Me.RunServer.Text = "Arrter le serveur"
			Else
				Me.server.CloseServer
				Me.serverIsRunning = False
				Me.RunServer.Text = "Lancer le serveur"
			End If
		End Sub

		Sub Button1Click(ByVal sender As Object, ByVal e As EventArgs)
			Me.server.Send(Me.SendMessage.Text)
		End Sub

		Private Sub ServerMainForm_Closed(ByVal sender As Object, ByVal e As EventArgs)
			If Me.serverIsRunning Then
				Me.server.CloseServer
			End If
		End Sub
	End Class 
End Namespace
