Imports System
Imports System.Drawing
Imports System.Windows.Forms
Namespace Client

	Public Class ClientMainForm
	Inherits Form
		Private Message As ListBox
		Private SendB As Button
		Private SendMessage As TextBox
		Private ConnectB As Button
		Private client As ClientClass
		Public Shared ServerName As String
		Private CloseB As Button

		Public Sub New()
			InitializeComponent
			Me.client = New ClientClass(Me.Message)
		End Sub

		<STAThread()> _
		Public Shared Sub Main(ByVal args As String())
			Application.Run(New ClientMainForm)
		End Sub

		Private Sub InitializeComponent()
			Me.ConnectB = New Button
			Me.SendMessage = New TextBox
			Me.SendB = New Button
			Me.Message = New ListBox
			Me.CloseB = New Button
			Me.SuspendLayout
			Me.ConnectB.FlatStyle = FlatStyle.System
			Me.ConnectB.Location = New Point(576, 10)
			Me.ConnectB.Name = "ConnectB"
			Me.ConnectB.Size = New Size(96, 40)
			Me.ConnectB.TabIndex = 1
			Me.ConnectB.Text = "Se connecter  un serveur"
			AddHandler Me.ConnectB.Click, AddressOf Me.ConnectBClick
			Me.SendMessage.Location = New Point(570, 74)
			Me.SendMessage.Name = "SendMessage"
			Me.SendMessage.Size = New Size(112, 20)
			Me.SendMessage.TabIndex = 3
			Me.SendMessage.Text = ""
			Me.SendB.FlatStyle = FlatStyle.System
			Me.SendB.Location = New Point(584, 106)
			Me.SendB.Name = "SendB"
			Me.SendB.TabIndex = 4
			Me.SendB.Text = "Envoyer"
			AddHandler Me.SendB.Click, AddressOf Me.SendBClick
			Me.Message.Location = New Point(8, 8)
			Me.Message.Name = "Message"
			Me.Message.Size = New Size(552, 238)
			Me.Message.TabIndex = 0
			Me.CloseB.FlatStyle = FlatStyle.System
			Me.CloseB.Location = New Point(584, 202)
			Me.CloseB.Name = "CloseB"
			Me.CloseB.Size = New Size(75, 40)
			Me.CloseB.TabIndex = 2
			Me.CloseB.Text = "Fermer la connexion"
			AddHandler Me.CloseB.Click, AddressOf Me.CloseBClick
			Me.AutoScaleBaseSize = New Size(5, 13)
			Me.ClientSize = New Size(686, 266)
			Me.Controls.Add(Me.SendB)
			Me.Controls.Add(Me.SendMessage)
			Me.Controls.Add(Me.CloseB)
			Me.Controls.Add(Me.ConnectB)
			Me.Controls.Add(Me.Message)
			Me.Name = "ClientMainForm"
			Me.Text = "Client"
			AddHandler Me.Closed, AddressOf Me.ClientMainForm_Closed
			Me.ResumeLayout(False)
		End Sub

		Sub ConnectBClick(ByVal sender As Object, ByVal e As EventArgs)
			Dim snf As ServerNameForm = New ServerNameForm
			snf.ShowDialog
			Try
				Me.client.ConnectToServer(ServerName)
			Catch ex As Exception
				MessageBox.Show(ex.Message)
			End Try
		End Sub

		Sub SendBClick(ByVal sender As Object, ByVal e As EventArgs)
			Me.client.SendMessage(Me.SendMessage.Text)
		End Sub

		Sub CloseBClick(ByVal sender As Object, ByVal e As EventArgs)
			Me.client.Close
		End Sub

		Sub Button1Click(ByVal sender As Object, ByVal e As EventArgs)
			Me.client.ReceiveMessage
		End Sub

		Private Sub ClientMainForm_Closed(ByVal sender As Object, ByVal e As EventArgs)
			Me.client.Close
		End Sub
	End Class 
End Namespace
